#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 4. Security

- Prev

  Tripwire-2.4.3.7

- Next

  File Systems and Disk Management

- Up
- Home

# volume_key-0.3.12

## Introduction to volume_key

The volume_key package provides a library for manipulating storage volume encryption keys and storing them separately from volumes to handle forgotten passphrases.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/felixonmars/volume_key/archive/volume_key-0.3.12.tar.gz

- Download MD5 sum: d1c76f24e08ddd8c1787687d0af5a814

- Download size: 196 KB

- Estimated disk space required: 11 MB

- Estimated build time: 0.2 SBU

### volume_key Dependencies

#### Required

cryptsetup-2.4.3, GLib-2.70.4, GPGME-1.17.0, and nss-3.75

#### Recommended

SWIG-4.0.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/volume_key

## Installation of volume_key

Install volume_key by running the following commands:

### Note

This package expands to the directory volume_key-volume_key-0.3.12.

    autoreconf -fiv              &&
    ./configure --prefix=/usr    \
                --without-python &&
    make

This package does not come with a functioning test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--without-python`: This parameter prevents building the Python 2 bindings, if Python-2.7.18 is installed.

`--without-python3`: Use this option if you do not want to build the Python 3 bindings. In this case, SWIG-4.0.2 is not needed.

## Contents

Installed Program: volume_key
Installed Library: libvolume_key.so
Installed Directory: /usr/include/volume_key

### Short Descriptions

volume_key | manages encrypted volume keys and passphrases
`volume_key.so` | contains API functions for managing encrypted volume keys

Last updated on

- Prev

  Tripwire-2.4.3.7

- Next

  File Systems and Disk Management

- Up
- Home